Knips logoKnips API

Create contact

Creates a contact in a feed.

POST
/feeds/{feedId}/contacts

Creates a contact in a feed.

Authorization

basicAuth
AuthorizationBasic <token>

In: header

Path Parameters

feedId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

notificationSettings?string
systemSource?string
customMessage?string
follows?
region?string
postalCode?string
city?string
address?string
bio?string
image?string
statusTags?

Construct a type with a set of properties K of type T

tags?array<string>
useEmailByDefault?boolean
addDirectly?boolean
source?string
name?string
phone?string
email?string
curl -X POST "https://example.com/feeds/string/contacts" \  -H "Content-Type: application/json" \  -d '{}'
{  "state": "string",  "image": "string",  "email": "string",  "phone": "string",  "name": "string",  "id": "string"}
{  "error": {    "message": "string",    "type": "string"  }}
{  "error": {    "message": "string",    "type": "string"  }}
{  "error": {    "message": "string",    "type": "string"  }}
{  "error": {    "message": "string",    "type": "string"  }}